Oracle Linux 6138 Published by

A nodejs:18 security, bug fix, and enhancement update has been released for Oracle Linux 8.



El-errata: ELSA-2023-1583 Moderate: Oracle Linux 8 nodejs:18 security, bug fix, and enhancement update


Oracle Linux Security Advisory ELSA-2023-1583

  http://linux.oracle.com/errata/ELSA-2023-1583.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
nodejs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-devel-18.14.2-2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-docs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-full-i18n-18.14.2-2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-nodemon-2.0.20-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-packaging-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
npm-9.5.0-1.18.14.2.2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-devel-18.14.2-2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-docs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-full-i18n-18.14.2-2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm
nodejs-nodemon-2.0.20-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-packaging-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
npm-9.5.0-1.18.14.2.2.module+el8.7.0+21020+b7aeeb08.x86_64.rpm

aarch64:
nodejs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-devel-18.14.2-2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-docs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-full-i18n-18.14.2-2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-nodemon-2.0.20-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-packaging-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
npm-9.5.0-1.18.14.2.2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-devel-18.14.2-2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-docs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-full-i18n-18.14.2-2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm
nodejs-nodemon-2.0.20-2.module+el8.7.0+21020+b7aeeb08.noarch.rpm
nodejs-packaging-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el8.7.0+20766+0a247725.noarch.rpm
npm-9.5.0-1.18.14.2.2.module+el8.7.0+21020+b7aeeb08.aarch64.rpm

SRPMS:
  http://oss.oracle.com/ol8/SRPMS-updates//nodejs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.src.rpm
  http://oss.oracle.com/ol8/SRPMS-updates//nodejs-nodemon-2.0.20-2.module+el8.7.0+21020+b7aeeb08.src.rpm
  http://oss.oracle.com/ol8/SRPMS-updates//nodejs-packaging-2021.06-4.module+el8.7.0+20766+0a247725.src.rpm
  http://oss.oracle.com/ol8/SRPMS-updates//nodejs-18.14.2-2.module+el8.7.0+21020+b7aeeb08.src.rpm
  http://oss.oracle.com/ol8/SRPMS-updates//nodejs-nodemon-2.0.20-2.module+el8.7.0+21020+b7aeeb08.src.rpm
  http://oss.oracle.com/ol8/SRPMS-updates//nodejs-packaging-2021.06-4.module+el8.7.0+20766+0a247725.src.rpm

Related CVEs:

CVE-2021-35065
CVE-2022-25881
CVE-2023-23918
CVE-2023-23920
CVE-2023-23936
CVE-2023-24807



Description of changes:

nodejs
[1:18.14.2-2]
- Provide simduft

[1:18.14.2-1]
- Rebase to 18.14.2
- Resolves: #2178087
- Resolves: CVE-2022-25881, CVE-2022-4904, CVE-2023-23936, CVE-2023-24807
- Resolves: CVE-2023-23918, CVE-2023-23919, CVE-2023-23920

_______________________________________________